<?xml version="1.0" encoding="utf-8"?>
<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml" xmlns:epub="http://www.idpf.org/2007/ops" xml:lang="es" lang="es">
    <head>
        <meta charset="UTF-8"/>
        <title>21. CLIteratura, un proyecto sobre código (de programación) y literatura</title>
        <link href="../css/styles.css" rel="stylesheet" type="text/css"/>
    </head>
    <body>
        <section epub:type="chapter" role="doc-chapter">
            <h1 id="cliteratura-un-proyecto-sobre-codigo-de-programacion-y-literatura">21. CLIteratura, un <span class="i-item-span" id="i-item-id-1-18-1">proyecto</span> sobre <span class="i-item-span" id="i-item-id-1-23-2">código</span> (de programación) y literatura</h1>
            <p>¡<a href="https://marianaeguaras.com/appbooks-y-realidad-aumentada-no-todo-son-ebooks/">No todo es <span class="i-item-span" id="i-item-id-1-7-3">publicación</span> estándar</a>! Lo más llamativo de las <span class="i-item-span" id="i-item-id-1-71-6">tecnologías</span> <span class="i-item-span" id="i-item-id-1-51-5">digitales</span> en relación con el mundo del <span class="i-item-span" id="i-item-id-1-5-4">libro</span> es, sin duda, <a href="https://marianaeguaras.com/el-videojuego-y-el-libro-la-gamificacion-de-la-edicion/">la <span class="i-item-span" id="i-item-id-1-137-8">gamificación</span> de la <span class="i-item-span" id="i-item-id-1-0-7">edición</span></a>. Desde los <i><span class="i-item-span" id="i-item-id-1-82-9">appbooks</span></i> hasta la realidad aumentada o virtual, en diversos eventos relativos al <span class="i-item-span" id="i-item-id-1-5-10">libro</span> se anuncian estos productos como el «futuro» del <span class="i-item-span" id="i-item-id-1-5-11">libro</span>.</p>
            <p>Aunque más bien es el «presente» de las posibilidades de la <span class="i-item-span" id="i-item-id-1-0-12">edición</span> <span class="i-item-span" id="i-item-id-1-51-13">digital</span>, muchos de estos productos tienen una relación muy definida con las capacidades <span class="i-item-span" id="i-item-id-1-72-15">técnicas</span> <span class="i-item-span" id="i-item-id-1-51-14">digitales</span> que vale la pena resaltar.</p>
            <h2 id="el-codigo-como-infraestructura">El <span class="i-item-span" id="i-item-id-1-23-16">código</span> como infraestructura</h2>
            <p>Lo más llamativo de este tipo de <span class="i-item-span" id="i-item-id-1-7-17">publicaciones</span> no estandarizadas —no utilizan los mismos <span class="i-item-span" id="i-item-id-1-32-20">procesos</span>, las <span class="i-item-span" id="i-item-id-1-72-21">técnicas</span> varían y hay casi tantas <span class="i-item-span" id="i-item-id-1-28-19">metodologías</span> como productos posibles— es el dinamismo y la «pérdida» de <span class="i-item-span" id="i-item-id-1-17-18">estructura</span>. <strong>Lo que se pierde no son <span class="i-item-span" id="i-item-id-1-52-22">conocimientos</span> tradicionales de <a href="https://marianaeguaras.com/el-cuidado-editorial-durante-la-produccion-de-un-libro/">cuidado <span class="i-item-span" id="i-item-id-1-6-23">editorial</span></a>, sino una noción que era ley en el reino exclusivo del <span class="i-item-span" id="i-item-id-1-38-24">impreso</span>: la <span class="i-item-span" id="i-item-id-1-53-25">página</span></strong>.</p>
            <p>La <span class="i-item-span" id="i-item-id-1-53-31">página</span> limitaba las posibilidades a la <span class="i-item-span" id="i-item-id-1-7-27">publicación</span>, pero también era un lienzo que daba fuentes ilimitadas de creatividad literaria, tipográfica y gráfica. La <span class="i-item-span" id="i-item-id-1-7-28">publicación</span> estandarizada hace una metáfora de esta noción, pero en los <span class="i-item-span" id="i-item-id-1-32-29">procesos</span> no estandarizados de <span class="i-item-span" id="i-item-id-1-0-26">edición</span> <span class="i-item-span" id="i-item-id-1-51-30">digital</span> la <span class="i-item-span" id="i-item-id-1-53-32">página</span> en muchas ocasiones es sustituida por la <strong><span class="i-item-span" id="i-item-id-1-135-33">idea</span> de escena</strong>.</p>
            <p>En una escenificación hay dinamismo: el diálogo y la escenografía se orientan a una narrativa que no espera a ser leída. La <span class="i-item-span" id="i-item-id-1-48-34">historia</span> avanza y el <span class="i-item-span" id="i-item-id-1-61-35">lector</span> se hace espectador y, a veces, actor.</p>
            <p>En el caso de las escenas planificadas para la <span class="i-item-span" id="i-item-id-1-14-36">producción</span> de <i><span class="i-item-span" id="i-item-id-1-82-37">appbooks</span></i>, ya se busca que el espectador sea un agente constante dentro de la misma narrativa. Sea desde una simple navegación interactiva hasta el completo sumergimiento en la <span class="i-item-span" id="i-item-id-1-48-38">historia</span>, el espectador se hace usuario.</p>
            <p>Y en este <strong>traslado del <span class="i-item-span" id="i-item-id-1-61-40">lector</span> al usuario del <span class="i-item-span" id="i-item-id-1-5-39">libro</span></strong> lo que resalta son el tipo de recursos a los que se tiene acceso y cómo estos son presentados y modificados por el usuario.</p>
            <p>Sonidos, videos, animaciones, física simulada, análisis de datos, uso de gestos o <span class="i-item-span" id="i-item-id-1-15-42">creación</span> de mundos tridimensionales: la <span class="i-item-span" id="i-item-id-1-0-41">edición</span> engloba ya más elementos. <i>Editores ¿pueden con esta tarea?</i></p>
            <h3 id="el-codigo-pilar-para-la-edicion-digital">El <span class="i-item-span" id="i-item-id-1-23-44">código</span>: pilar para la <span class="i-item-span" id="i-item-id-1-0-43">edición</span> <span class="i-item-span" id="i-item-id-1-51-45">digital</span></h3>
            <p>Lo anterior no sería posible sin una base informática que permita el uso de dichos recursos. <strong>El <span class="i-item-span" id="i-item-id-1-23-47">código</span> viene a ser el pilar para la <span class="i-item-span" id="i-item-id-1-0-46">edición</span> <span class="i-item-span" id="i-item-id-1-51-48">digital</span></strong> y no hay caso más evidente de esta necesidad que las <span class="i-item-span" id="i-item-id-1-7-49">publicaciones</span> <span class="i-item-span" id="i-item-id-1-51-50">digitales</span> no estandarizadas.</p>
            <p>Sin el <span class="i-item-span" id="i-item-id-1-23-52">código</span> no hay manera de publicar estos y casi todos los productos <span class="i-item-span" id="i-item-id-1-6-51">editoriales</span>. O si somos un poco severos: <strong>la <span class="i-item-span" id="i-item-id-1-0-53">edición</span> ha quedado subordinada al <span class="i-item-span" id="i-item-id-1-23-54">código</span></strong>. ¿No lo crees así? ¿Usas una <span class="i-item-span" id="i-item-id-1-81-57">computadora</span> para editar o publicar tus <span class="i-item-span" id="i-item-id-1-5-55">libros</span>? Bienvenido, el <span class="i-item-span" id="i-item-id-1-23-56">código</span> te respalda.</p>
            <p>Más allá de las limitaciones del <span class="i-item-span" id="i-item-id-1-44-60">programa</span> o de su uso, rara vez se vuelve un tema de conversación la dependencia <span class="i-item-span" id="i-item-id-1-71-61">tecnológica</span> de la <span class="i-item-span" id="i-item-id-1-0-58">edición</span>. De manera inexplicable o mera renuencia, el <span class="i-item-span" id="i-item-id-1-23-59">código</span> se percibe como dado.</p>
            <p>A nosotros, <span class="i-item-span" id="i-item-id-1-34-66">editores</span>, ya se nos ha otorgado el <span class="i-item-span" id="i-item-id-1-23-63">código</span> en su forma más amigable: como un <span class="i-item-span" id="i-item-id-1-44-67">programa</span> con interfaz gráfica, el <span class="i-item-span" id="i-item-id-1-23-64">código</span> compilado en archivos ejecutables. Por el <span class="i-item-span" id="i-item-id-1-23-65">código</span> la <span class="i-item-span" id="i-item-id-1-0-62">edición</span> se ha transformado, para bien o para mal.</p>
            <h2 id="el-codigo-como-propiedad">El <span class="i-item-span" id="i-item-id-1-23-68">código</span> como propiedad</h2>
            <p>Cuando se habla de los <span class="i-item-span" id="i-item-id-1-44-70">programas</span> para el quehacer <span class="i-item-span" id="i-item-id-1-6-69">editorial</span>, la primera pregunta que surge no es «¿cómo lo uso?», sino «¿cómo lo adquiero?». Las respuestas más comunes involucran su compra o su pirateo. <strong>Tan normal se ha vuelto esta dependencia que se da por sentado que se ha de pagar o violar derechos de <span class="i-item-span" id="i-item-id-1-3-71">autor</span> para poder editar</strong>.</p>
            <p>Al final, el <span class="i-item-span" id="i-item-id-1-23-73">código</span>, aunque ya yace ahí en una paquetería de <span class="i-item-span" id="i-item-id-1-11-72">Adobe</span> o de <span class="i-item-span" id="i-item-id-1-118-74">Microsoft</span>, lo hace alguien, le pertenece y tiene la intención de vivir de ello. Por lo tanto, una compensación económica es razonable —o un «discúlpeme, si tuviera dinero le pagaría»—.</p>
            <p>La cuestión no es que los programadores tendrían que dar gratis su <span class="i-item-span" id="i-item-id-1-10-75">trabajo</span>, sino la preocupación de quiénes son los que al final le sacan un mayor provecho y para qué.</p>
            <p>En el caso de la <span class="i-item-span" id="i-item-id-1-0-76">edición</span>, este desasosiego es qué nuevo <span class="i-item-span" id="i-item-id-1-44-77">programa</span> vendrá a sustituir al anterior, qué tendremos que aprender para no quedar en desventaja, qué habremos de olvidar porque será <span class="i-item-span" id="i-item-id-1-52-78">conocimiento</span> inaplicable; pero, principalmente, ¿cuánto tendremos que desembolsar para pagar por <i><span class="i-item-span" id="i-item-id-1-4-79">software</span></i>, <i><span class="i-item-span" id="i-item-id-1-121-80">hardware</span></i> o capacitaciones? ¿Qué de nuevo hay en las ferias del <span class="i-item-span" id="i-item-id-1-5-81">libro</span> que son la panacea <i>reloaded</i> de las penurias <span class="i-item-span" id="i-item-id-1-6-82">editoriales</span>?</p>
            <p><strong>Cuando no se tiene <span class="i-item-span" id="i-item-id-1-135-86">idea</span> de cómo funcionan las bases de tu profesión es fácil confundir un <span class="i-item-span" id="i-item-id-1-44-84">programa</span> con un método de <span class="i-item-span" id="i-item-id-1-10-83">trabajo</span> y la dependencia <span class="i-item-span" id="i-item-id-1-71-85">tecnológica</span> con el «futuro» de tu campo</strong>.</p>
            <p>La falta de estandarización no es solo por la efervescencia propia de la vanguardia, sino también por el interés económico en torno a cómo se realizará el traslado de dependencia <span class="i-item-span" id="i-item-id-1-71-90">tecnológica</span> del grueso <span class="i-item-span" id="i-item-id-1-6-88">editorial</span>. Si se trata del futuro, es el futuro de la presente economía dependiente de la <span class="i-item-span" id="i-item-id-1-0-87">edición</span> al <span class="i-item-span" id="i-item-id-1-23-89">código</span>.</p>
            <p>Aunque viendo para atrás nos parezca que la <span class="i-item-span" id="i-item-id-1-120-94">imprenta</span> fue un éxito que cambió al sector <span class="i-item-span" id="i-item-id-1-6-91">editorial</span>, muchas veces se nos olvida que la rotación fue relativamente lenta y que existieron muchas <span class="i-item-span" id="i-item-id-1-72-93">técnicas</span> y <span class="i-item-span" id="i-item-id-1-71-92">tecnologías</span> compitiendo para <i>abrir</i> el modo de <span class="i-item-span" id="i-item-id-1-7-95">publicación</span> de los amanuenses.</p>
            <p>En esta «batalla» —no tanto porque así haya sido sino por cómo <a href="http://gen.lib.rus.ec/book/index.php?md5=60B7C01C3FE0D9FCDA4629736BB3C382">varios amanuenses se sintieron amenazados</a>— también nos falta recordar que la expansión de las <span class="i-item-span" id="i-item-id-1-71-96">tecnologías</span> de la impresión fueron en parte gracias al plagio: todas esas personas que tuvieron acceso al funcionamiento de la maquinaria para replicarla.</p>
            <h2 id="el-codigo-como-bien-comun">El <span class="i-item-span" id="i-item-id-1-23-97">código</span> como bien común</h2>
            <p>Sin embargo, veo el <span class="i-item-span" id="i-item-id-1-23-100">código</span> de los archivos ejecutables y solo veo unos y ceros. ¿Cómo funciona todo eso?, ¿cómo puedo replicarlo? Y, con mayor interés, ¿cómo hago mi <span class="i-item-span" id="i-item-id-1-10-99">trabajo</span> si desconozco el funcionamiento de la maquinaria que me crea mis <span class="i-item-span" id="i-item-id-1-5-98">libros</span>?</p>
            <p>O no nos vayamos tan lejos, veo el <span class="i-item-span" id="i-item-id-1-16-105">texto</span> de una <span class="i-item-span" id="i-item-id-1-2-101">obra</span> ya publicada, la copio para editarla y solo veo contenido. ¿Cuál es su <span class="i-item-span" id="i-item-id-1-17-106">estructura</span>?, ¿cómo fue diseñada? Me quedo con pura <span class="i-item-span" id="i-item-id-1-26-108">información</span> que intento dar <span class="i-item-span" id="i-item-id-1-8-104">formato</span> con mis escasos recursos informáticos para producir una <span class="i-item-span" id="i-item-id-1-7-103">publicación</span> cuya calidad de antemano sé que será inferior al original. Puedo ser usuario y <span class="i-item-span" id="i-item-id-1-61-110">lector</span> de <span class="i-item-span" id="i-item-id-1-2-102">obras</span> privadas o <span class="i-item-span" id="i-item-id-1-19-107">abiertas</span>, pero mis deseos de ser <span class="i-item-span" id="i-item-id-1-34-109">editor</span> quedan limitados.</p>
            <p><strong>Algo tiene que estar mal si para poder aprender a editar tengo que pagar por <span class="i-item-span" id="i-item-id-1-44-111">programas</span> o archivos que no conozco cómo funcionan</strong>, y donde mis posibilidades ya están constreñidas por lo que estos ficheros me ofrecen.</p>
            <p>De esta manera, surge la <span class="i-item-span" id="i-item-id-1-135-115">idea</span> de que el <span class="i-item-span" id="i-item-id-1-23-113">código</span> no es propiedad privada, sino una cuestión de interés público. El campo de la <span class="i-item-span" id="i-item-id-1-0-112">edición</span> no es el único que ha dado, sin mirar las consecuencias, su soberanía al <span class="i-item-span" id="i-item-id-1-23-114">código</span> propietario. «<a href="http://gen.lib.rus.ec/book/index.php?md5=73413C7A46D72E082C1C4DDE60E0A179">El <span class="i-item-span" id="i-item-id-1-23-116">código</span> es ley</a>» y si no aprendemos cómo funciona, habrá otros que saquen ventaja de ello.</p>
            <p>¿Paranoia? ¿Quiénes fueron los mayores beneficiarios en los traslados de dependencia <span class="i-item-span" id="i-item-id-1-71-121">tecnológica</span> entre PageMaker, QuarkXPress y <span class="i-item-span" id="i-item-id-1-11-118">Adobe</span>, o entre los diversos procesadores de <span class="i-item-span" id="i-item-id-1-16-119">texto</span> hasta <span class="i-item-span" id="i-item-id-1-118-122">Microsoft</span> Office? Mientras tanto, <span class="i-item-span" id="i-item-id-1-50-120">TeX</span>, con ya casi treinta de años, sigue sólido, sin cambios drásticos y con una comunidad pujante que crea <span class="i-item-span" id="i-item-id-1-5-117">libros</span> con alta calidad tipográfica.</p>
            <p>En el caso de la <span class="i-item-span" id="i-item-id-1-0-123">edición</span> no estandarizada también tenemos una fuerte competencia entre entornos de <span class="i-item-span" id="i-item-id-1-12-124">desarrollo</span> <span class="i-item-span" id="i-item-id-1-131-127">propietarios</span> y los de <span class="i-item-span" id="i-item-id-1-23-126">código</span> <span class="i-item-span" id="i-item-id-1-19-125">abierto</span>. Las opciones propietarias son más publicitadas y, en varios casos, más sencillas de usar. Sin embargo, con el <i><span class="i-item-span" id="i-item-id-1-4-128">software</span></i> <span class="i-item-span" id="i-item-id-1-9-129">libre</span> o de <span class="i-item-span" id="i-item-id-1-23-131">código</span> <span class="i-item-span" id="i-item-id-1-19-130">abierto</span> al menos sé que, aunque no sea programador, tengo que tener nociones de cómo funcionan mis <span class="i-item-span" id="i-item-id-1-44-132">programas</span>, y este tipo de <i><span class="i-item-span" id="i-item-id-1-4-133">software</span></i> me lo permite gracias a su <span class="i-item-span" id="i-item-id-1-110-136">documentación</span> y a que puedo <span class="i-item-span" id="i-item-id-1-70-135">leer</span> el <span class="i-item-span" id="i-item-id-1-23-134">código</span>.</p>
            <p><strong>Pero como <span class="i-item-span" id="i-item-id-1-34-137">editor</span>, ¿por dónde empiezo?</strong> ¡Tanto <span class="i-item-span" id="i-item-id-1-52-138">conocimiento</span> que se me presenta tan ininteligible!, como fórmulas químicas y matemáticas, cuando mi preparación ha sido principalmente humanística o artística...</p>
            <h2 id="la-literatura-como-pedagogia-cliteratura">La literatura como pedagogía: <a href="https://cliteratu.re/">CLIteratura</a></h2>
            <p>¿Y si mostramos la infraestructura informática que está tras bambalinas? ¿Qué tal si hacemos una <span class="i-item-span" id="i-item-id-1-7-140">publicación</span> que a la par que se lee se aprende un poco de los <span class="i-item-span" id="i-item-id-1-32-142">procesos</span> ocultos en la <span class="i-item-span" id="i-item-id-1-0-139">edición</span>? ¿Y si a partir de la literatura aprendemos a usar la <span class="i-item-span" id="i-item-id-1-81-143">computadora</span> de otra manera? Estas preguntas me llevaron a la <span class="i-item-span" id="i-item-id-1-15-141">creación</span> de <a href="https://cliteratu.re/">CLIteratura</a>.</p>
            <p><strong><a href="https://cliteratu.re/">CLIteratura</a> es un pequeño <span class="i-item-span" id="i-item-id-1-18-144">proyecto</span> donde se aprende a utilizar una <a href="https://es.wikipedia.org/wiki/Interfaz_de_línea_de_comandos">interfaz de línea de comandos</a> en un entorno emulado en el explorador <i><span class="i-item-span" id="i-item-id-1-60-145">web</span></i> y mediante la lectura</strong>. «CLI» de <i>command-line interface</i> y «LIteratura» porque el medio de aprendizaje son los <span class="i-item-span" id="i-item-id-1-16-146">textos</span> literarios.</p>
            <p>El <span class="i-item-span" id="i-item-id-1-18-148">proyecto</span> surgió debido a lo que he vivido dando talleres y a lo que he aprendido sobre el modo de hacer <span class="i-item-span" id="i-item-id-1-5-147">libros</span>. Un cambio que considero fundamental en mi vida profesional es haber empezado a <strong>ver los <span class="i-item-span" id="i-item-id-1-5-149">libros</span> como <span class="i-item-span" id="i-item-id-1-17-150">estructuras</span></strong>, como archivos cuyo <span class="i-item-span" id="i-item-id-1-8-152">formato</span> condiciona ya la calidad <span class="i-item-span" id="i-item-id-1-6-151">editorial</span> y gráfica del producto final.</p>
            <p>El giro no fue espontáneo, ha sido un <span class="i-item-span" id="i-item-id-1-32-153">proceso</span> muchas veces tortuoso donde la potencia de la <a href="https://es.wikipedia.org/wiki/Bash">terminal bash</a> no solo me ha ahorrado mucho tiempo, también me ha permitido aumentar la calidad <span class="i-item-span" id="i-item-id-1-6-154">editorial</span> y la <span class="i-item-span" id="i-item-id-1-72-156">técnica</span> de mis <span class="i-item-span" id="i-item-id-1-7-155">publicaciones</span>.</p>
            <p>Esto me motivó a crear <a href="https://github.com/NikaZhenya/Pecas"><span class="i-item-span" id="i-item-id-1-84-157">Pecas</span></a>: ¿por qué iba a dejar todos esos <i><span class="i-item-span" id="i-item-id-1-94-158">scripts</span></i> que usaba para mi <span class="i-item-span" id="i-item-id-1-10-159">trabajo</span> y desde bash como una propiedad privada si sé que puede ser, al menos, el primer escalón para que otros se den cuenta de que <strong>la <span class="i-item-span" id="i-item-id-1-0-160">edición</span> es también un método y el <span class="i-item-span" id="i-item-id-1-16-161">texto</span> es nada sin <span class="i-item-span" id="i-item-id-1-17-162">estructura</span></strong>?</p>
            <h3 id="los-profesionales-de-la-edicion-frente-al-codigo">Los profesionales de la <span class="i-item-span" id="i-item-id-1-0-163">edición</span> frente al <span class="i-item-span" id="i-item-id-1-23-164">código</span></h3>
            <p>En los tiempos acotados de talleres o pláticas tengo que admitir que, cuando muestro el modo cómo <span class="i-item-span" id="i-item-id-1-10-165">trabajo</span>, los asistentes quedan más confundidos, y hasta decepcionados de pensar que ellos no podrán tener el mismo control en su <span class="i-item-span" id="i-item-id-1-10-166">trabajo</span>.</p>
            <p>Como la mayoría de los eventos a los que soy invitado están orientados a un público versado en humanidades y artes he observado que el uso de muchos ejemplos concretos y de analogías con su campo les permite comprender una serie de nociones que una <span class="i-item-span" id="i-item-id-1-110-168">documentación</span> <span class="i-item-span" id="i-item-id-1-72-167">técnica</span> no podría lograr.</p>
            <p>Por estos motivos, durante un tiempo estuve buscando una vía en la que:</p>
            <ul>
                <li>
                    <p>La infraestructura de la <span class="i-item-span" id="i-item-id-1-26-169">información</span> fuera evidenciada, aunque fuese emulada.</p>
                </li>
                <li>
                    <p>Las humanidades y las artes fungieran como nexo pedagógico, sino que mero pretexto.</p>
                </li>
                <li>
                    <p>La dinámica fundiera el fomento a la lectura con la enseñanza informática, pese a que bien podría dar un producto híbrido que ni es de aquí ni de allá.</p>
                </li>
            </ul>
            <p>No deseaba que el recurso informático quedara escondido y se diera como dado, sino que se evidenciara y el usuario se familiarizara mientras juega con la <span class="i-item-span" id="i-item-id-1-66-170">herramienta</span>.</p>
            <p>Con estas <span class="i-item-span" id="i-item-id-1-135-171">ideas</span> surgió <a href="https://cliteratu.re/">CLIteratura</a>. <strong>Por el momento solo cuenta con un módulo: «Casa tomada», de Julio Cortázar, para aprender a moverse sobre la terminal y a usar las <a href="https://es.wikipedia.org/wiki/Ruta_(informática)">rutas relativas o absolutas</a></strong>.</p>
            <p>Hasta estas fechas solo cuenta con <span class="i-item-span" id="i-item-id-1-83-172">soporte</span> bilingüe inglés-<span class="i-item-span" id="i-item-id-1-107-173">español</span>. Si tu sistema operativo no está en <span class="i-item-span" id="i-item-id-1-107-174">español</span>, de manera automática te cargará la versión en inglés (<a href="https://jessbarga.wikispaces.com/file/view/Cortázar,+House+Taken+Over.pdf">la <span class="i-item-span" id="i-item-id-1-129-175">traducción</span> de «Casa tomada» es de Paul Blackburn</a>).</p>
            <p>Además, quisiera seguir incluyendo más módulos, y sería extraordinario marcar el rumbo de <span class="i-item-span" id="i-item-id-1-12-176">desarrollo</span> mediante su retroalimentación. Úsalo, critícalo o descártalo, todo eso sirve para saber hacia dónde dirigir CLIteratura.</p>
            <h3 id="nota-sobre-el-origen-tecnico-de-cliteratura">Nota sobre el origen <span class="i-item-span" id="i-item-id-1-72-177">técnico</span> de CLIteratura</h3>
            <p>La base del emulador de CLIteratura fue desarrollada por <a href="https://github.com/clarkduvall">Clark DuVall</a>, el cual lo llamó «<a href="https://github.com/clarkduvall/jsterm">jsterm</a>».</p>
            <p>Lo curioso de jsterm es que fue hecho para su sitio personal, de manera particular como una manera de mostrar su currículo como ingeniero.</p>
            <p>¿Cómo se pasó de un sitio para mostrar un currículo a uno para aprender a usar la terminal con <span class="i-item-span" id="i-item-id-1-2-178">obras</span> literarias? Mediante la apertura del <span class="i-item-span" id="i-item-id-1-23-179">código</span>. <strong>Dar acceso al <span class="i-item-span" id="i-item-id-1-23-180">código</span> no solo permite ahondar en la formación del mismo campo de estudio, también posibilita usarlo de maneras inesperadas</strong>.</p>
            <aside class="espacio-arriba2">
                <h6 id="sobre-esta-entrada_21">Sobre esta entrada</h6>
                <ul>
                    <li>
                        <p>Título original: «CLIteratura, entre el <span class="i-item-span" id="i-item-id-1-23-181">código</span> y la literatura».</p>
                    </li>
                    <li>
                        <p>Título en el <i>blog</i> de <span class="i-item-span" id="i-item-id-1-20-183">Mariana</span>: «CLIteratura, un <span class="i-item-span" id="i-item-id-1-18-182">proyecto</span> sobre <span class="i-item-span" id="i-item-id-1-23-184">código</span> (de programación) y literatura».</p>
                    </li>
                    <li>
                        <p>Fecha de <span class="i-item-span" id="i-item-id-1-7-185">publicación</span>: 31 de julio del 2018.</p>
                    </li>
                    <li>
                        <p><a href="https://gitlab.com/NikaZhenya/entradas-eguaras/blob/master/21%20-%20CLIteratura,%20entre%20el%20c%C3%B3digo%20y%20la%20literatura/entrada.md">Redacción original</a>.</p>
                    </li>
                    <li>
                        <p><a href="https://marianaeguaras.com/cliteratura-un-proyecto-sobre-codigo-de-programacion-y-literatura/">Revisión de <span class="i-item-span" id="i-item-id-1-20-186">Mariana</span></a>.</p>
                    </li>
                </ul>
            </aside>
        </section>
    </body>
</html>
